Function
parseString
Parses a string one character at a time and moves accordingly in the automaton.
parseString(g, v, beginIt, endIt)
parseString(g, v, str)
Include Headers
seqan/graph_types.h
Parameters

g | An automaton or a word graph. Types: Automaton, Word Graph
v | A vertex descriptor. Types: VertexDescriptor
beginIt | An iterator to the beginning of the string. (Input and Output) Types: Iterator
endIt | An iterator to the end of the string. Types: Iterator
str | A string. Types: String

Remarks
The parsing stops before getSuccessor reaches the nil state, or if the the complete sequences is read.
Return Values
The vertex descriptor of the state that was reached after parsing.
Types: VertexDescriptor

beginIt | Iterator to the first character that could not be parsed, or endIt if the complete string was parsed.

See Also
canParseString, getSuccessor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48